Subject: bug#50713: 27.1; mm-inline-render-with-file should not (always?) use mm-with-unibyte-buffer

From: David Bremner <[email-masked]>
Date: Sun, 26 Sep 2021 11:18:03 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> ⚠External message: Use caution.
>
> David Bremner <[email-masked]> writes:
>
>> Please find attached an example mail file. It is a spam message, but it
>> does seem to declare utf8 charsets. It is display OK in gnus (and in
>> notmuch, using mm-* to process the mime parts) if mm-text-html-renderer
>> is 'shr, but not if it is 'links,
>
> Thanks; with that mail I can reproduce the problem -- with is that links
> assumes that it's only dealing with ASCII text and *s out all non-ASCII
> octets from the file unless you bind LANG to something that's not
> ASCII-ish.
>
> I've now done so in Emacs 28, and it seems to work fine now.

Perfect, I verified the fix in emacs commit 2a2c75d34 also fixes the
problem reported by a notmuch user.

d